#!/usr/bin/env python
# coding: UTF-8
class tragtorLang:
    
    language = "en"

### ERRORS

    error_infile_single = """An error occurred on opening!\nLike to see some more information?"""
    error_infile_multi = """While opening, %i errors occurred!\nLike to see some more information?"""
    
    error_infile_not_accessible = """### ERROR [not_accessible]:
    The file '%s' is not readable."""
    
    error_infile_not_accessible_explain = """Please make sure you've chosen a regular file and have the proper rights to access the file.
    Sometimes this error may occur due to a zero-byte file.
"""
    error_infile_not_readable = """### ERROR [not_readable]:
    The file '%s' is not processable. You can't proceed with an unreadable file."""
    
    error_infile_not_readable_explain = """### INFO [not_readable]:
    
    Are you sure you have all the suitable codecs installed?
    Depending on the way you compiled ffmpeg it may also be a problem with missing compiler-options.
    
    Most versions of UBUNTU for example are missing mp3-support in ffmpeg.
    To deal with it you have to a) compile the source of ffmpeg yourself
    or b) for UBUNTU - install the packages from the medibuntu-repositories
    through the 'force version'-function in synaptics. More information is available:
    
    http://ffmpeg.mplayerhq.hu/
    http://www.thedesignexperience.org/weblog/one-entry?entry_id=113488
    http://wiki.ubuntuusers.de/FFmpeg (german)
    
    and http://www.google.com/search?q=ffmpeg"""
    
    ffmpeg_options = """### FFMPEG-Configuration
    
# Your actual compile options of ffmpeg below:
    %s

# Readable file formats:
    %s
    
# Writable file formats:
    %s

# Readable audio-codecs:
    %s
    
# Writable audio-codecs:
    %s

# Readable video-codecs:
    %s

# Writable video-codecs:
    %s
"""
    error_message_title = "Error!"
    error_message_file_not_readable = "The source file you've specified is not readable!"
    error_message_file_not_inmedia = "The source file you've specified is no importable Media file!"
    error_message_file_not_writable = "The target file you've specified is not writable!"
    error_message_file_not_outmedia = "The target file you've specified is no exportable Media file!"
    error_message_no_opener = "The file can't be opened because neither gnome-open nor kde-open seems to be installed."
    error_message_noaudio = "No audio streams present"
    error_message_novideo = "No video streams present"
    
    error_message_delete_failed = """The file couldn't be deleted.
Do you have the required permissions?"""
    error_message_no_manual = "No manual entry for FFmpeg available."
    
    error_button_not_inmedia = "No Processable Source"
    error_button_not_writeable = "The Target Is Not Writeable"
    error_button_not_outmedia = "The Target Is No Processable Media"
    error_button_inasout = "Target And Source Are The Same File"
    error_button_duration = "Your Time Settings Are Buggy"
    error_button_size = "You Want To Create A 0-Size Video"
    error_button_bitrate = "The Value Of The Bitrate Is Invalid"
    error_button_framerate = "The Value Of The Frame Rate Is Invalid"
    error_button_samplerate = "The Value Of The Sample Rate Is Invalid"
    error_button_channels = "The Value Of The Audio Channels Is Invalid"
    error_button_no_audio = "You Want To Create An Audio File Without Audio"
    error_button_no_content = "You Want To Create A File Without Any Content"
    error_button_no_audio_bitrate = "You Want To Create A 0 kb/s Audio File"
    error_button_no_video_bitrate = "You Want To Create A 0 kb/s Video File"
    
    error_cant_proceed = "You Can't Go On With These Settings."
        
### BUTTONS

    proceed_button_active = "Show Me The Light!"
    proceed_button_overwrite = "Would You Like To Process Again?\nThe File Will Be Overwritten"
    proceed_button_inactive = "Proceeding Impossible\n%s"
    
### INFILE TEXTAREA

    infile_textarea_pre = """### Information about Source-File:
"""
    infile_textarea_post = ""
    infile_format_info = """
    File: %s
    Size: %sBytes
    Container: %s
    Bitrate: %s k/bs
    Duration: %s
"""
    infile_stream_main_info = """
    Stream-ID: %s
    Format: %s
    Codec: %s
"""    
    infile_stream_audio_info = """    Samplerate: %s hz
    Channels: %s
    Audio-Bitrate: %s kb/s
"""
    infile_stream_video_info = """    Method: %s
    Size: %s
    FPS: %s fps
"""

### INFILE

    infile_audio_label = "Audio Streams"
    infile_video_label = "Video Streams"
    infile_open_label = "Selected Files"
    infile_add_label = "Multi"
    infile_select_label = "Single"
    
    infile_open_remove = ""
    infile_open_id = ""
    infile_open_file = "File"
    infile_open_size = "Size"
    infile_open_container = "Format"
    infile_open_duration = "Duration"
    
    infile_audio_id = "⇨"
    infile_audio_select = "♻"
    infile_audio_file = ""
    infile_audio_codec = "Codec"
    infile_audio_samplerate = "Sample Rate"
    infile_audio_bitrate = "kb/s"
    infile_audio_channels = "Channels"
    infile_audio_language = "Language"
    
    infile_video_preview = "▣"
    infile_video_id = "⇨"
    infile_video_select = "♻"
    infile_video_file = ""
    infile_video_codec = "Codec"
    infile_video_size = "Size"
    infile_video_fps = "FPS"
    infile_video_method = "Method"
    infile_video_language = "Language"
    
    infile_menu_path = "Path as output"
    infile_menu_name = "Name as output"
    infile_menu_meta = "Adopt ID3"
    
### META COMMENT
    
    meta_comment_text = """Encoder ffmpeg & traGtor"""
    
### QUESTIONS/CONFIRMATIONS
    
    question_title = "Confirmation"
    question_overwrite_preset = "Do you really want to overwrite %s?"
    question_delete_preset = "Do you really want to delete %s?"
    question_delete_infile = "Do you really want to delete file #%i from disk?"

### TEXTLABELS

    # page-labels
    infile_label = """At first please select \
a file to convert. If it is a processable \
mediafile, the included audio \
and video streams will appear on the right for selection. \
If the "Multi"-switch is enabled, chosen files are added \
to the list, "Single" replaces everything with a single file.\
Get a menu with options by right-clicking a file."""
    outfile_label = """Last step is to specify \
a file as target. If a container is set, the corresponding suffix will be added to your file name if neccessary."""
    suffix_label = "Container:"
    meta_label = """Edit the metadata of the final media. \
These information will be stored inside the media and does not affect \
any file-related values like the filename. (Some formats may not support this!)"""
    proceed_label = """Proceed with your settings. \
The big button will inform you about things are going. \
If it's active, a confirmation will appear before we proceed.
FFmpeg's output will show up in the right area after it has finished."""
    format_video_label = "Videosettings"
    format_audio_label = "Audiosettings"
    format_render_label = "Rendersettings"
    format_results_label = "Results"
    settings_label = """Here you can make some \
basic settings for this GUI."""
    
### NOTEBOOKS

    infile_notebook = "Sources"
    outfile_notebook = "Target"
    format_notebook = "Format"
    meta_notebook = "Meta"
    proceed_notebook = "Proceed"
    settings_notebook = "Settings"

### TITLES

    infile_title = "Choose Source"
    outfile_title = "Choose Target"
    format_title = "Set Format"
    meta_title = "Change Meta"
    proceed_title = "Proceed"
    settings_title = "Settings"

### INPUT_VALUES

    meta_title_label = "Title:"
    meta_author_label = "Author:"
    meta_copyleft_label = "Copyright:"
    meta_comment_label = "Comment:"
    meta_toggle_label = "Use Meta"
    
    format_width_label = "Width:"
    format_height_label = "Height:"
    format_ratio_label = "Ratio:"
    format_fixedratio_label = "Fixed Ratio:"
    format_framerate_label = "Frame Rate / s:"
    format_deinterlace_label = "Deinterlace:"
    
    format_audiosamplerate_label = "Sample Rate:"
    format_audiobitrate_label = "Bitrate (kb/s):"
    format_audiocodec_label = "Force Codec:"
    format_audiochannels_label = "Audio Channels:"
    format_2pass_label = "2-Pass:"
    format_2pass_no_audio_label = "Skip Audio:"
    format_codec_label = "Force Codec:"
    format_bitrate_label = "Bitrate (kb/s):"
    format_offset_label = "Start Offset / s:"
    format_duration_label = "Duration / s:"
    format_scaling_label = "Scaling:"
    format_padcolor_label = "Padding Color:"
    format_volume_label = "Volume:"
    format_user_defined_label = "Additional Options:"
    format_manual_button = "FFmpeg manual"
    
### PRESETS
    
    presets_label = "Presets"
    presets_container = """Set Container
Of Output File"""

### FORMAT-INFO
    
    format_target_info_av = """A videofile including sound and video \
will be <b>%s</b> long and will take about <b>%sBytes</b> of space."""
    format_target_info_video = """Pure videocontent without any audiostream \
and the length of <b>%s</b> will take about <b>%sBytes</b>."""
    format_target_info_audio = """A pure audiofile of  \
<b>%s</b> will take <b>%s</b> with these settings."""
    format_target_info = """%s<small>

(The resulting size may differ)</small>"""
    format_target_info_nothing = """You have to activate at least one \
of the streams (audio or video)."""
    format_target_nofile = "You haven't chosen any valid file."
    
### SETTINGS
    
    settings_language_label ="Choose Your Language:"
    settings_reset_label = "Reset All Values To Default And Start All Over:"
    settings_reset_button = "Reset"
    settings_videofilter_label = "Select Your Pad And Crop Option:"
    settings_cpu_label = "CPU Usage"
    settings_libavutil_label = "libavutil:"
    settings_libavcodec_label = "libavcodec:"
    settings_libavdevice_label = "libavdevice:"
    settings_libavformat_label = "libavformat:"
    settings_ffmpeg_label = "FFmpeg:"
    settings_tragtor_label = "traGtor:"
    settings_builddate_label = "Build Date:"
    settings_compiler_label = "Compiler Options:"
    
    settings_version_label = "Information About FFmpeg And traGtor"
    
### LISTS

    format_scalingmethods_list = [ "Pad", "Crop", "Distort" ]
    output_file_suffix_auto = "as stated below"
    
### SYSTEM
    
    datestring = "%Y-%m-%d %I:%M:%S %p"
    hour = "hour"
    hours = "hours"
    minute = "minute"
    minutes = "minutes"
    second = "second"
    seconds = "seconds"
    frames = "frames"
    _and = "and"
    
    changed = "changed!"
    
    title_infile_mediafiles = "Readable Media Files"
    title_infile_allfiles = "All File Formats"
    title_outfile_mediafiles = "Writable Media Files"
    title_outfile_allfiles = "All File Formats"

### CONFIRMATION-WINDOW

    title_confirmation_window = "Confirmation"
    label_confirmation = """Confirm Your Settings On The Right

You Can Make Some Changes On The Commandline"""
    label_confirm_commandline = "Commandline"
    label_confirm_infile = "<b>Source:</b> %s"
    label_confirm_infiles = "<b>Sources:</b> %s"
    label_confirm_outfile = "<b>Target:</b> %s"
    label_confirm_insize = "(%sB)"
    label_confirm_outsize = "(~ %sB)"
    label_confirm_pad_h = "<b>Pad:</b> adding %i pixel to width"
    label_confirm_pad_v = "<b>Pad:</b> adding %i pixel to height"
    label_confirm_crop_h = "<b>Crop:</b> ripping %i pixel from width"
    label_confirm_crop_v = "<b>Crop:</b> ripping %i pixel from height"
    label_confirm_distort_h = "<b>Scaling:</b> stretching width to %i\%"
    label_confirm_distort_v = "<b>Scaling:</b> stretching height to %i\%"
    label_confirm_format = "<b>Format:</b> %s"
    label_confirm_audio = "<b>Audio:</b> %s"
    label_confirm_audiodisabled = "deactivated"
    label_confirm_video = "<b>Video:</b> %s"
    label_confirm_duration = "<b>Duration:</b> %s"
    label_confirm_offset = "<b>Start:</b> %s"
    label_confirm_size = "<b>Size:</b> %s"

### PROCESS

    title_progress_window = "In Progress..."
    title_progress_window_finished = "Finished."
    title_progress_window_error = "Error!"
    title_progress_window_pass = "(pass %i)"
    label_progress = "Processing..."
    text_progress = "Status of file\n%s"

    label_progress_size = "<b>Size:</b>"
    label_progress_bitrate = "<b>Bitrate:</b>"
    label_progress_time = "<b>Time:</b>"
    label_progress_frame = "<b>Frame:</b>"
    label_progress_quantizer = "<b>Quantizer:</b>"
    label_progress_video = "<b>Video:</b>"
    label_progress_audio = "<b>Audio:</b>"
    label_progress_headers = "<b>Headers:</b>"
    label_progress_overhead = "<b>Overhead:</b>"
    
    label_progress_error = "<b>Error!</b>"
    label_progress_error_explain = "It seems that an error occurred. \
Please refer to the text area for ffmpeg's output."

### HELP-WINDOW

    title_help_window = "Help"
    
### UOE window
    
    label_pass1 = "Pass 1"
    label_pass2 = "Pass 2"
    label_single = "Options"
    label_UOE = """Edit your user options
here. Don't use any line
breaks. If you have
2 pass enabled both
fields will be concatenated
with a pipe symbol | in
the options field."""
